import request from '@/utils/request'

export function listactive(params) {
  return request({
    url: '/api/admin/activity/index',
    method: 'get',
    params:params
  })
}

export function store(data) {
  return request({
    url: '/api/admin/activity/store',
    method: 'post',
    data
  })
}

export function save(data) {
  return request({
    url: '/api/admin/activity/save',
    method: 'post',
    data
  })
}

export function del(id) {
  return request({
    url: '/api/admin/activity/destroy',
    method: 'get',
    params: {
      id
    }
  })
}

export function get(id) {
  return request({
    url: '/api/admin/activity/show',
    method: 'get',
    params: {
      id
    }
  })
}

export function chanStatus(params) {
  return request({
    url: '/api/admin/activity/status',
    method: 'get',
    params:params
  })
}
